import 'package:flutter_test/flutter_test.dart';
import 'package:siren/siren.dart';
import 'package:siren/siren/siren_android.dart';

import 'package:siren/siren/siren_ios.dart';

void main() {
  test('gets new version for ios', () async {
    final version = await SirenIOS.getVersion(
      bundleId: 'com.google.Maps',
      country: 'US',
    );
    expect(version, isNotNull);
  });

  test('gets new version for android', () async {
    final version = await SirenAndroid.getVersion(
      from: 'net.wooga.switchcraft.googleplay',
    );
    expect(version, isNotNull);
  });

  test('gets null for ios', () async {
    final version = await SirenIOS.getVersion(
      bundleId: 'nope.doesNotExist.Marco',
      country: 'US',
    );
    expect(version, isNull);
  });

  test('gets null for android', () async {
    final version = await SirenAndroid.getVersion(
      from: 'nope.doesNotExist.Marco',
    );
    expect(version, isNull);
  });
}
